//////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Author: Synactive, Inc. [1065 E. Hillsdale Blvd, Foster City, CA, 94404, USA]
// Email: support@guixt.com; sales@guixt.com; 
// Contact: 650.341.3310
// Version: 1.0.0.0
//////////////////////////////////////////////////////////////////////////////////////////////////////////////


//User Interface

//If transaction is IW31 or IW32 but system status doesn't contain "CLSD" 
if(_transaction == "IW31" || (_transaction == "IW32" && iw3x_status.indexOf("CLSD")<0)){
	iw3x_readonly_flag = false;
}
//If transaction is IW33 or system status contains "CLSD"
else if(_transaction == "IW33" || iw3x_status.indexOf("CLSD")>-1){
	iw3x_readonly_flag = true;
}

del("P[Location]");					//Remove "Location" tab on screen

if(_page.exists("HeaderData")){
	box("G[First operation]+[6,0]", "G[First operation]+[10,80]", "Location");
	inputfield("G[Location]+[1,1]", "MntPlant", "G[Location]+[1,12]", 
		{"name":"iw3x_maint_plant", "size":4, "readonly":iw3x_readonly_flag});
	inputfield("G[Location]+[2,1]", "Location", "G[Location]+[2,12]", 
		{"name":"iw3x_location", "size":10, "readonly":iw3x_readonly_flag});
	inputfield("G[Location]+[3,1]", "Room", "G[Location]+[3,12]", 
		{"name":"iw3x_room", "size":8, "readonly":iw3x_readonly_flag});
	inputfield("G[Location]+[1,41]", "Plant section", "G[Location]+[1,57]", 
		{"name":"iw3x_plant_section", "size":3, "readonly":iw3x_readonly_flag});
	inputfield("G[Location]+[2,41]", "Work center", "G[Location]+[2,57]", 
		{"name":"iw3x_work_center", "size":8, "readonly":iw3x_readonly_flag});
}

if(!iw3x_readonly_flag){
	onUIEvents["/11"] = {"fcode":"?", "process":iw3xSave};		//Execute when user hits save on screen
}


